Upgrading from 4.7.9 to latest version Questions

Support for Ubuntu and other Desktop Linux distributions
Post Reply
goyon2000
Posts: 16
Joined: 12 Nov 2013, 12:53

Upgrading from 4.7.9 to latest version Questions

Post by goyon2000 »

Hello

I am using filebot 4.7.9 on OMV 3.x with debian Jessie

I recently purchased a licence and I would like some advice in order to upgrade the filebot version and install my new licence.

I read this forum and saw the topic of install but I would prefer some recommendations

thank you for your help
User avatar
rednoah
The Source
Posts: 19130
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Upgrading from 4.7.9 to latest version Questions

Post by rednoah »

Uninstall old version. Install new version. That's pretty much it.


We have an apt package repository nowadays, so that's probably the best way to install and keep updated:
https://www.filebot.net/linux/apt.html


Afer installing FileBot, you can activate your license like so:
https://www.filebot.net/activate.html


If you run into any trouble, take a screenshot, and post it here in the forums:
viewtopic.php?t=1868
:idea: Please read the FAQ and How to Request Help.
goyon2000
Posts: 16
Joined: 12 Nov 2013, 12:53

Re: Upgrading from 4.7.9 to latest version Questions

Post by goyon2000 »

ok thanks

Is there an 4.8.5 debian version i386 (32 bits )
User avatar
rednoah
The Source
Posts: 19130
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Upgrading from 4.7.9 to latest version Questions

Post by rednoah »

Yes, the Debian package is platform-independent and works on all architectures:
https://www.filebot.net/linux/apt.html
:idea: Please read the FAQ and How to Request Help.
goyon2000
Posts: 16
Joined: 12 Nov 2013, 12:53

Re: Upgrading from 4.7.9 to latest version Questions

Post by goyon2000 »

Code: Select all

The following packages have unmet dependencies:
 filebot : Depends: openjdk-11-jre but it is not installable
           Recommends: openjfx but it is not installable
           Recommends: mediainfo but it is not going to be installed
           Recommends: libchromaprint-tools but it is not going to be installed
           Recommends: p7zip-full but it is not going to be installed
           Recommends: unrar but it is not installable
E: Unable to correct problems, you have held broken packages.
User avatar
rednoah
The Source
Posts: 19130
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Upgrading from 4.7.9 to latest version Questions

Post by rednoah »

rednoah wrote: 13 Jul 2018, 12:00 The installer/deb.sh will add the repository and install FileBot for you:

Code: Select all

bash -xu <<< "$(curl -fsSL https://raw.githubusercontent.com/filebot/plugins/master/installer/deb.sh)"
This script eliminates human error. Did you use this script? Please paste the console output if it doesn't work.
:idea: Please read the FAQ and How to Request Help.
goyon2000
Posts: 16
Joined: 12 Nov 2013, 12:53

Re: Upgrading from 4.7.9 to latest version Questions

Post by goyon2000 »

Yes I used the script:

Code: Select all

 bash -xu <<< "$(curl -fsSL https://raw.githubusercontent.com/filebot/plugins/master/installer/deb.sh)"
+ apt-cache show openjfx --no-all-versions
+ grep 'Version: 8'
+ REPO='deb [arch=all] https://get.filebot.net/deb/ universal main'
+ echo 'Use Repository: deb [arch=all] https://get.filebot.net/deb/ universal main'
Use Repository: deb [arch=all] https://get.filebot.net/deb/ universal main
+ sudo apt-get install --install-recommends -y dirmngr gnupg-curl
Reading package lists... Done
Building dependency tree
Reading state information... Done
dirmngr is already the newest version.
gnupg-curl is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 33 not upgraded.
+ sudo apt-key adv --fetch-keys https://raw.githubusercontent.com/filebot/plugins/master/gpg/maintainer.pub
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --homedir /tmp/tmp.B761odWcNg --no-auto-check-trustdb --trust-model always --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyring /etc/apt/trusted.gpg.d/debian-archive-jessie-automatic.gpg --keyring /etc/apt/trusted.gpg.d/debian-archive-jessie-security-automatic.gpg --keyring /etc/apt/trusted.gpg.d/debian-archive-jessie-stable.gpg --keyring /etc/apt/trusted.gpg.d/debian-archive-stretch-automatic.gpg --keyring /etc/apt/trusted.gpg.d/debian-archive-stretch-security-automatic.gpg --keyring /etc/apt/trusted.gpg.d/debian-archive-stretch-stable.gpg --keyring /etc/apt/trusted.gpg.d/debian-archive-wheezy-automatic.gpg --keyring /etc/apt/trusted.gpg.d/debian-archive-wheezy-stable.gpg --keyring /etc/apt/trusted.gpg.d/openmediavault-archive-keyring.gpg --keyring /etc/apt/trusted.gpg.d/openmediavault-keyring.gpg --fetch-keys https://raw.githubusercontent.com/filebot/plugins/master/gpg/maintainer.pub
gpg: key 7C3C6A71: "Reinhard Pointner <[email protected]>" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1
+ sudo tee /etc/apt/sources.list.d/filebot.list
+ echo 'deb [arch=all] https://get.filebot.net/deb/ universal main'
deb [arch=all] https://get.filebot.net/deb/ universal main
+ sudo apt-get update
Ign file:  InRelease
Ign file:  Release.gpg
Ign file:  Release
Ign http://ftp.ch.debian.org jessie InRelease
Hit http://ftp.ch.debian.org jessie-updates InRelease
Get:1 https://get.filebot.net universal InRelease
Ign https://get.filebot.net universal InRelease
Get:2 https://dl.bintray.com jessie InRelease
Ign https://dl.bintray.com jessie InRelease
Hit http://packages.openmediavault.org erasmus InRelease
Hit https://openmediavault.github.io erasmus InRelease
Hit http://ppa.launchpad.net xenial InRelease
Hit http://ftp.ch.debian.org jessie Release.gpg
Ign file:  Translation-en_US
Ign file:  Translation-en
Hit http://ftp.ch.debian.org jessie Release
Hit https://dl.bintray.com jessie Release.gpg
Hit http://security.debian.org jessie/updates InRelease
Ign http://httpredir.debian.org jessie-backports InRelease
Ign http://httpredir.debian.org jessie-backports Release.gpg
Hit https://dl.bintray.com jessie Release
Hit http://ftp.ch.debian.org jessie-updates/main Sources
Hit http://ftp.ch.debian.org jessie-updates/contrib Sources
Ign http://httpredir.debian.org jessie-backports Release
Hit http://ftp.ch.debian.org jessie-updates/non-free Sources
Hit http://ftp.ch.debian.org jessie-updates/main i386 Packages
Hit http://ftp.ch.debian.org jessie-updates/contrib i386 Packages
Hit http://ftp.ch.debian.org jessie-updates/non-free i386 Packages
Hit http://ftp.ch.debian.org jessie-updates/contrib Translation-en
Hit http://ftp.ch.debian.org jessie-updates/main Translation-en
Hit http://ftp.ch.debian.org jessie-updates/non-free Translation-en
Ign http://httpredir.debian.org jessie-backports/main i386 Packages/DiffIndex
Hit https://get.filebot.net universal Release.gpg
Hit https://get.filebot.net universal Release
Ign http://httpredir.debian.org jessie-backports/contrib i386 Packages/DiffIndex
Ign http://httpredir.debian.org jessie-backports/non-free i386 Packages/DiffIndex
Hit http://packages.openmediavault.org erasmus/main i386 Packages
Ign http://packages.openmediavault.org erasmus/main Translation-en_US
Ign http://packages.openmediavault.org erasmus/main Translation-en
Hit http://ppa.launchpad.net xenial/main Sources
Hit http://ppa.launchpad.net xenial/main i386 Packages
Get:3 https://openmediavault.github.io erasmus/main Translation-en_US [9,339 B]
Hit http://ppa.launchpad.net xenial/main Translation-en
Get:4 https://openmediavault.github.io erasmus/main Translation-en [9,339 B]
Hit http://ftp.ch.debian.org jessie/main Sources
Hit http://ftp.ch.debian.org jessie/main i386 Packages
Hit http://ftp.ch.debian.org jessie/main Translation-en
Get:5 https://openmediavault.github.io erasmus/main Translation-en_US [9,339 B]
Get:6 https://openmediavault.github.io erasmus/main Translation-en [9,339 B]
Get:7 https://openmediavault.github.io erasmus/main Translation-en_US [9,339 B]
Get:8 https://openmediavault.github.io erasmus/main Translation-en [9,339 B]
Get:9 https://openmediavault.github.io erasmus/main Translation-en_US [9,339 B]
Get:10 https://openmediavault.github.io erasmus/main Translation-en [9,339 B]
Get:11 https://openmediavault.github.io erasmus/main Translation-en_US [9,339 B]
Ign https://openmediavault.github.io erasmus/main Translation-en_US
Get:12 https://openmediavault.github.io erasmus/main Translation-en [9,339 B]
Ign https://openmediavault.github.io erasmus/main Translation-en
Get:13 http://security.debian.org jessie/updates/main Sources [324 kB]
Get:14 https://dl.bintray.com jessie/main i386 Packages [33.6 kB]
Get:15 http://security.debian.org jessie/updates/contrib Sources [1,439 B]
Get:16 http://security.debian.org jessie/updates/non-free Sources [1,629 B]
Get:17 https://get.filebot.net universal/main all Packages [544 B]
Get:18 https://dl.bintray.com jessie/main Translation-en_US
Get:19 https://dl.bintray.com jessie/main Translation-en
Get:20 https://get.filebot.net universal/main Translation-en_US
Get:21 https://get.filebot.net universal/main Translation-en
Get:22 https://dl.bintray.com jessie/main Translation-en_US
Get:23 https://get.filebot.net universal/main Translation-en_US
Get:24 https://dl.bintray.com jessie/main Translation-en
Get:25 https://dl.bintray.com jessie/main Translation-en_US
Get:26 https://get.filebot.net universal/main Translation-en
Get:27 https://dl.bintray.com jessie/main Translation-en
Get:28 https://get.filebot.net universal/main Translation-en_US
Get:29 https://get.filebot.net universal/main Translation-en
Get:30 https://dl.bintray.com jessie/main Translation-en_US
Get:31 https://get.filebot.net universal/main Translation-en_US
Get:32 https://dl.bintray.com jessie/main Translation-en
Get:33 https://get.filebot.net universal/main Translation-en
Get:34 https://dl.bintray.com jessie/main Translation-en_US
Ign https://dl.bintray.com jessie/main Translation-en_US
Get:35 https://dl.bintray.com jessie/main Translation-en
Ign https://dl.bintray.com jessie/main Translation-en
Get:36 https://get.filebot.net universal/main Translation-en_US
Ign https://get.filebot.net universal/main Translation-en_US
Get:37 https://get.filebot.net universal/main Translation-en
Ign https://get.filebot.net universal/main Translation-en
Get:38 http://security.debian.org jessie/updates/main i386 Packages [736 kB]
Get:39 http://security.debian.org jessie/updates/contrib i386 Packages [2,526 B]
Get:40 http://security.debian.org jessie/updates/non-free i386 Packages [4,540 B]
Get:41 http://security.debian.org jessie/updates/contrib Translation-en [1,211 B]
Get:42 http://security.debian.org jessie/updates/main Translation-en [373 kB]
Get:43 http://security.debian.org jessie/updates/non-free Translation-en [11.8 kB]
Ign http://httpredir.debian.org jessie-backports/contrib Translation-en_US
Ign http://httpredir.debian.org jessie-backports/contrib Translation-en
Ign http://httpredir.debian.org jessie-backports/main Translation-en_US
Ign http://httpredir.debian.org jessie-backports/main Translation-en
Ign http://httpredir.debian.org jessie-backports/non-free Translation-en_US
Ign http://httpredir.debian.org jessie-backports/non-free Translation-en
Err http://httpredir.debian.org jessie-backports/main i386 Packages
  404  Not Found
Err http://httpredir.debian.org jessie-backports/contrib i386 Packages
  404  Not Found
Err http://httpredir.debian.org jessie-backports/non-free i386 Packages
  404  Not Found
Fetched 40.9 kB in 41s (973 B/s)
W: Failed to fetch http://httpredir.debian.org/debian/dists/jessie-backports/main/binary-i386/Packages  404  Not Found

W: Failed to fetch http://httpredir.debian.org/debian/dists/jessie-backports/contrib/binary-i386/Packages  404  Not Found

W: Failed to fetch http://httpredir.debian.org/debian/dists/jessie-backports/non-free/binary-i386/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
+ sudo apt-get install --install-recommends -y filebot
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 filebot : Depends: openjdk-11-jre but it is not installable
           Recommends: openjfx but it is not installable
           Recommends: mediainfo but it is not going to be installed
           Recommends: libchromaprint-tools but it is not going to be installed
           Recommends: p7zip-full but it is not going to be installed
           Recommends: unrar but it is not installable
E: Unable to correct problems, you have held broken packages.
User avatar
rednoah
The Source
Posts: 19130
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Upgrading from 4.7.9 to latest version Questions

Post by rednoah »

1.
Please run this command and post the output:

Code: Select all

apt-cache show openjfx --no-all-versions

2.
Debian 8 has been superseded by Debian 9 (stretch). Regular security support updates have been discontinued as of June 17th, 2018.
:arrow: https://www.debian.org/releases/jessie/

:idea: What version of Debian are you using? Maybe perhaps it would be wise to upgrade to a more recent version of Debian?
:idea: Please read the FAQ and How to Request Help.
goyon2000
Posts: 16
Joined: 12 Nov 2013, 12:53

Re: Upgrading from 4.7.9 to latest version Questions

Post by goyon2000 »

Code: Select all

apt-cache show openjfx --no-all-versions
N: Can't select candidate version from package openjfx as it has no candidate
N: No packages found

when I install the 4.7.9 version I install a version of java but I am not sure of the version

Code: Select all

java-common/oldoldstable,now 0.52 all [installed,automatic]
jfsutils/oldoldstable,now 1.1.15-2.1 i386 [installed,automatic]
..

Code: Select all

oracle-java8-installer/now 8u201-1~webupd8~1 all [installed,local]
oracle-java8-set-default/now 8u201-1~webupd8~1 all [installed,local]
I am using this version of debian because this is a nas (openmediavault omv ) running an old netbook 32 bit and omv does not have new version on 32 bit. but I am thinking to change this.

I was using the version 4.7.9 but recently it was no more working because an api to tvdb or moviedb has change I think

Anyway thank you for your help
User avatar
rednoah
The Source
Posts: 19130
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Upgrading from 4.7.9 to latest version Questions

Post by rednoah »

I see. Are you sure you have Oracle JDK 8 installed and working? It's not longer available, but if you have installed it when it was still available, then you should have a working JDK 8 / JavaFX 8 bundled already. In this case, you should be able to use the FileBot-portable-jdk8-compatibility build.


Download the latest *-portable-jdk8.tar.xz from here and then install it manually:
https://get.filebot.net/filebot/BETA/


You can refer to this script for installation instructions:
https://github.com/filebot/plugins/blob ... ler/tar.sh


:!: This tar.sh is not made for your use case specifically, so you can't use it verbatim, but if you read it line by line, then it'll teach you how to extract and install filebot from a tar archive.


:idea: You can use java -version to ensure java is linked to the Oracle JDK 8 package.
:idea: Please read the FAQ and How to Request Help.
goyon2000
Posts: 16
Joined: 12 Nov 2013, 12:53

Re: Upgrading from 4.7.9 to latest version Questions

Post by goyon2000 »

Hello
Ok I was able to install this tar file

Code: Select all

filebot -version
FileBot 4.9.0 (r6963) / Java(TM) SE Runtime Environment 1.8.0_201 / Linux 4.9.0-0.bpo.6-686-pae (i386)
[email protected]:/home/filebot#
but when trying to use it amc script I have that

Code: Select all

Rename episodes using [TheTVDB] with [Airdate Order]
Auto-detected query: [La casa de papel]
Fetch failed: https://api.thetvdb.com/search/series?name=La+casa+de+papel
java.lang.IllegalStateException: Failed to retrieve authorization token: No route to host (Host unreachable)
        at net.filebot.web.TheTVDBClient.getAuthorizationToken(TheTVDBClient.java:147)
        at net.filebot.web.TheTVDBClient.getRequestHeader(TheTVDBClient.java:112)
        at net.filebot.web.TheTVDBClient.lambda$requestJson$0(TheTVDBClient.java:97)
        at net.filebot.CachedResource.lambda$fetchIfModified$9(CachedResource.java:220)
        at net.filebot.CachedResource.lambda$null$0(CachedResource.java:91)
        at net.filebot.CachedResource.retry(CachedResource.java:125)
        at net.filebot.CachedResource.lambda$get$1(CachedResource.java:91)
        at net.filebot.Cache.computeIf(Cache.java:102)
        at net.filebot.CachedResource.get(CachedResource.java:86)
        at net.filebot.web.TheTVDBClient.requestJson(TheTVDBClient.java:97)
        at net.filebot.web.TheTVDBClient.search(TheTVDBClient.java:155)
        at net.filebot.web.TheTVDBClient.fetchSearchResult(TheTVDBClient.java:180)
        at net.filebot.WebServices$TheTVDBClient.access$201(WebServices.java:201)
        at net.filebot.WebServices$TheTVDBClient.lambda$fetchSearchResult$4(WebServices.java:228)
Caused by: java.net.NoRouteToHostException: No route to host (Host unreachable)
        at net.filebot.web.WebRequest.post(WebRequest.java:212)
        at net.filebot.web.TheTVDBClient.postJson(TheTVDBClient.java:91)
        at net.filebot.web.TheTVDBClient.getAuthorizationToken(TheTVDBClient.java:143)
        ... 13 more

NoRouteToHostException: No route to host (Host unreachable)
Finished without processing any files
I think I have the same error with the version 4.7.9. Does TVDB is no more working ?
User avatar
rednoah
The Source
Posts: 19130
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Upgrading from 4.7.9 to latest version Questions

Post by rednoah »

Do you have a working internet connection?

This is a generic network error, unrelated to FileBot specifically, that tells us that your computer is not able to connect to TheTVDB servers:

Code: Select all

NoRouteToHostException: No route to host (Host unreachable)
:idea: Please read the FAQ and How to Request Help.
goyon2000
Posts: 16
Joined: 12 Nov 2013, 12:53

Re: Upgrading from 4.7.9 to latest version Questions

Post by goyon2000 »

Hello

Thank you for your great help. I solve the problem of the bad connection it was due to a bad plug of my usb network adapter.

At the moment filebot is doing what I want to do. Moving and organizing my media file.

question
I still have this error

Code: Select all

Failed to read media characteristics: UnsatisfiedLinkError: Unable to load library 'mediainfo':
libmms.so.0: cannot open shared object file: No such file or directory
libmms.so.0: cannot open shared object file: No such file or directory
Native library (linux-x86/libmediainfo.so) not found in resource path ([file:/home/filebot/jar/filebot.jar])
I guess this is the tool that allow to know the type of file. Can I do something to fix it ?

Again Thank you for you great help and your software rocks
User avatar
rednoah
The Source
Posts: 19130
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Upgrading from 4.7.9 to latest version Questions

Post by rednoah »

The portable package include a generic Linux libmediainfo binary, but that may also have system dependencies:

Code: Select all

libmms.so.0: cannot open shared object file: No such file or directory
:idea: The easiest way to install transitive dependencies is usually to just install the mediainfo package via the usual package repository of your distro as well, apt, dnf, etc:

Code: Select all

sudo apt install mediainfo
:idea: You can also Google libmms.so to find out which package you need to install for that one.
:idea: Please read the FAQ and How to Request Help.
goyon2000
Posts: 16
Joined: 12 Nov 2013, 12:53

Re: Upgrading from 4.7.9 to latest version Questions

Post by goyon2000 »

Hello

I just upgrade from 4.9.0 to 4.9.2 on this old system.

Like I said i want to prepare a new nas (OMV) with much more memory and cpu and 64 bit

Question: I saw that I lot of people use docker to run filebot on this type system. But as it is debian can we still use the standard way. ?

Is there a good reason to use docker or the other one ?
User avatar
rednoah
The Source
Posts: 19130
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: Upgrading from 4.7.9 to latest version Questions

Post by rednoah »

sudo apt install filebot is generally recommended:
https://www.filebot.net/linux/apt.html


:!: docker has benefits, but adds lots of undesirable complexity as well.
:idea: Please read the FAQ and How to Request Help.
Post Reply